> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Обновление ключа

> Обновляет токен



## OpenAPI

````yaml POST /auth/refresh-tokens
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /auth/refresh-tokens:
    post:
      description: Обновляет токен
      requestBody:
        description: Токен
        content:
          application/json:
            schema:
              type: object
              properties:
                refreshToken:
                  type: string
        required: true
      responses:
        '200':
          description: plant response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshTokenResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    RefreshTokenResponse:
      required:
        - access
        - refresh
      type: object
      properties:
        access:
          description: Ключ доступа
          type: string
        refresh:
          description: Ключ обновления
          type: string
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````